"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _mongodb = require("mongodb");

var _resolveStorageBase = _interopRequireDefault(require("resolve-storage-base"));

var _connect = _interopRequireDefault(require("./connect"));

var _loadEventsByCursor = _interopRequireDefault(require("./load-events-by-cursor"));

var _loadEventsByTimestamp = _interopRequireDefault(require("./load-events-by-timestamp"));

var _getLatestEvent = _interopRequireDefault(require("./get-latest-event"));

var _saveEvent = _interopRequireDefault(require("./save-event"));

var _init = _interopRequireDefault(require("./init"));

var _drop = _interopRequireDefault(require("./drop"));

var _dispose = _interopRequireDefault(require("./dispose"));

var _paginateEvents = _interopRequireDefault(require("./paginate-events"));

var _saveEventOnly = _interopRequireDefault(require("./save-event-only"));

var _isFrozen = _interopRequireDefault(require("./is-frozen"));

var _freeze = _interopRequireDefault(require("./freeze"));

var _unfreeze = _interopRequireDefault(require("./unfreeze"));

var _shapeEvent = _interopRequireDefault(require("./shape-event"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _resolveStorageBase.default.bind(null, {
  connect: _connect.default,
  loadEventsByCursor: _loadEventsByCursor.default,
  loadEventsByTimestamp: _loadEventsByTimestamp.default,
  getLatestEvent: _getLatestEvent.default,
  saveEvent: _saveEvent.default,
  init: _init.default,
  drop: _drop.default,
  dispose: _dispose.default,
  paginateEvents: _paginateEvents.default,
  saveEventOnly: _saveEventOnly.default,
  isFrozen: _isFrozen.default,
  freeze: _freeze.default,
  unfreeze: _unfreeze.default,
  MongoClient: _mongodb.MongoClient,
  shapeEvent: _shapeEvent.default
});

exports.default = _default;
//# sourceMappingURL=index.js.map