"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const init = async ({
  database,
  collectionName
}) => {
  await database.createCollection(collectionName);
  const collection = await database.collection(collectionName);
  await collection.createIndex({
    threadId: 1,
    threadCounter: 1
  }, {
    unique: true
  });
  await collection.createIndex('timestamp');
  await collection.createIndex('aggregateId');
  await collection.createIndex({
    aggregateId: 1,
    aggregateVersion: 1
  }, {
    unique: true
  });
};

var _default = init;
exports.default = _default;
//# sourceMappingURL=init.js.map